<nodehandler class="flexinode" icon="folder" name="Animated Objects (Various CRs)">
  <nodehandler class="flexinode" name="Construct info">
    <action>:[if (1 &lt; 0) then&quot;

Constructs are immune to death effects, disease, mind-affecting effects (charms, compulsions, phantasms, patterns, and morale effects), necromancy effects, paralysis, poison, sleep, stun, and any effect that requires a Fortitude save (unless the effect also works on objects, or is harmless). Constructs are not subject to nonlethal damage, ability damage, ability drain, fatigue, exhaustion, or energy drain. Constructs are not at risk of death from massive damage.

&quot; else &quot;&quot;]</action>
    <reset></reset>
  </nodehandler>
  <action></action>
  <reset></reset>
  <nodehandler class="flexinode" enabled="1" icon="book" module="flexi" name="Animated Candelabrum (CR 3)" version="1.0">
    <nodehandler class="flexinode" name="AC14; CMD 15; HP 31; DR 5/Ad">
      <action></action>
      <reset></reset>
    </nodehandler>
    <action></action>
    <nodehandler class="flexinode" enabled="1" icon="dice" module="flexi" name="Attacks" version="1.0">
      <action></action>
      <nodehandler class="flexinode" icon="dnd_4e_melee_square_green" name="Variables">
        <action></action>
        <reset></reset>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Smite off" version="1.0">
          <action>:[#__name = if (smite = if smite then 0 else 5) then &quot;Smite on&quot; else &quot;Smite off&quot;][#update_icon]</action>
          <expression variable="smite">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if smite != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Flanking off" version="1.0">
          <action>:[#__name = if (flank = if flank then 0 else 2) then &quot;Flanking on&quot; else &quot;Flanking off&quot;][#update_icon]</action>
          <expression variable="flank">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if flank != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" enabled="1" icon="dnd_4e_melee_square_red" name="Charge off">
          <action>:[#__name = if (charge = if charge then 0 else 2) then &quot;Charge on&quot; else &quot;Charge off&quot;][#update_icon]</action>
          <reset></reset>
          <expression variable="charge">0</expression>
          <expression variable="update_icon">__icon = if charge != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Combat Manoeuvre" version="1.0">
        <action>[1d20+(5+flank)] vs CMD</action>
        <reset></reset>
      </nodehandler>
      <reset></reset>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Candle Slam (x2)" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_d = dice+(dmod)] physical + [(_fire2=fire)] fire HP.   [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt; [_d + dice+dmod] physical + [_fire2] fire HP&quot; else &quot;&quot;]</action>
        <reset></reset>
        <expression variable="attack">&quot;Lumiere - Candle Slam&quot;</expression>
        <expression variable="amod">5+flank</expression>
        <expression variable="dmod">3+smite</expression>
        <expression variable="threat">20</expression>
        <expression variable="dice">1d6</expression>
        <expression variable="fire">(1d6)</expression>
        <expression variable="_fire2">5</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Fortitude" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Reflex" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
        <expression variable="refbonus">0</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Will" version="1.0">
        <action>[1d20-4]</action>
        <reset></reset>
      </nodehandler>
    </nodehandler>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="book" module="flexi" name="Animated Teapot (CR 1)" version="1.0">
    <nodehandler class="flexinode" name="AC18; CMD 9; HP 15; DR 5/Ad">
      <action></action>
      <reset></reset>
    </nodehandler>
    <action></action>
    <nodehandler class="flexinode" enabled="1" icon="dice" module="flexi" name="Attacks" version="1.0">
      <action></action>
      <nodehandler class="flexinode" icon="dnd_4e_melee_square_green" name="Variables">
        <action></action>
        <reset></reset>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Smite off" version="1.0">
          <action>:[#__name = if (smite = if smite then 0 else 5) then &quot;Smite on&quot; else &quot;Smite off&quot;][#update_icon]</action>
          <expression variable="smite">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if smite != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Flanking off" version="1.0">
          <action>:[#__name = if (flank = if flank then 0 else 2) then &quot;Flanking on&quot; else &quot;Flanking off&quot;][#update_icon]</action>
          <expression variable="flank">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if flank != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" enabled="1" icon="dnd_4e_melee_square_red" name="Charge off">
          <action>:[#__name = if (charge = if charge then 0 else 2) then &quot;Charge on&quot; else &quot;Charge off&quot;][#update_icon]</action>
          <reset></reset>
          <expression variable="charge">0</expression>
          <expression variable="update_icon">__icon = if charge != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Combat Manoeuvre" version="1.0">
        <action>[1d20+(5+flank)] vs CMD</action>
        <reset></reset>
      </nodehandler>
      <reset></reset>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Stream of Tea" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_fire2=fire] fire HP.   [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt;[_fire2 + fire] fire HP&quot; else &quot;&quot;]</action>
        <reset></reset>
        <expression variable="attack">&quot;Mrs Pots - stream of hot tea - ranged touch attack&quot;</expression>
        <expression variable="amod">5+flank</expression>
        <expression variable="dmod">1+smite</expression>
        <expression variable="threat">20</expression>
        <expression variable="fire">1d4+1</expression>
        <expression variable="_fire2">2</expression>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Thrown Tea" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_fire2=fire] fire HP.   [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt;[_fire2 + fire] fire HP&quot; else &quot;&quot;]</action>
        <reset></reset>
        <expression variable="attack">&quot;Chip - Thrown Tea - ranged touch attack&quot;</expression>
        <expression variable="amod">5+flank</expression>
        <expression variable="dmod">1+smite</expression>
        <expression variable="threat">20</expression>
        <expression variable="fire">1d4+1</expression>
        <expression variable="_fire2">3</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Fortitude" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Reflex" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
        <expression variable="refbonus">0</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Will" version="1.0">
        <action>[1d20-4]</action>
        <reset></reset>
      </nodehandler>
    </nodehandler>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="book" module="flexi" name="Animated Sweeping Brush (CR 3)" version="1.0">
    <nodehandler class="flexinode" name="AC14; CMD 15; HP 31; DR 5/Ad">
      <action></action>
      <reset></reset>
    </nodehandler>
    <action></action>
    <nodehandler class="flexinode" enabled="1" icon="dice" module="flexi" name="Attacks" version="1.0">
      <action></action>
      <nodehandler class="flexinode" icon="dnd_4e_melee_square_green" name="Variables">
        <action></action>
        <reset></reset>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Smite off" version="1.0">
          <action>:[#__name = if (smite = if smite then 0 else 5) then &quot;Smite on&quot; else &quot;Smite off&quot;][#update_icon]</action>
          <expression variable="smite">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if smite != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Flanking off" version="1.0">
          <action>:[#__name = if (flank = if flank then 0 else 2) then &quot;Flanking on&quot; else &quot;Flanking off&quot;][#update_icon]</action>
          <expression variable="flank">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if flank != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" enabled="1" icon="dnd_4e_melee_square_red" name="Charge off">
          <action>:[#__name = if (charge = if charge then 0 else 2) then &quot;Charge on&quot; else &quot;Charge off&quot;][#update_icon]</action>
          <reset></reset>
          <expression variable="charge">0</expression>
          <expression variable="update_icon">__icon = if charge != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Combat Manoeuvre" version="1.0">
        <action>[1d20+(5+flank)] vs CMD</action>
        <reset></reset>
      </nodehandler>
      <reset></reset>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Trip" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_d = dice+(dmod)] HP   [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt; [_d + dice+dmod] HP&quot; else &quot;&quot;] + &lt;b&gt;Trip&lt;/b&gt; [1d20 + 7] vs CMD.</action>
        <reset></reset>
        <expression variable="attack">&quot;Sweeping brush - Sweep attack (10 ft)&quot;</expression>
        <expression variable="amod">5+flank</expression>
        <expression variable="dmod">3+smite</expression>
        <expression variable="threat">20</expression>
        <expression variable="dice">1d6</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Fortitude" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Reflex" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
        <expression variable="refbonus">0</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Will" version="1.0">
        <action>[1d20-4]</action>
        <reset></reset>
      </nodehandler>
    </nodehandler>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="book" module="flexi" name="Animated Armoire (CR 5)" version="1.0">
    <nodehandler class="flexinode" name="AC14; CMD 20; HP 55; DR 5/Ad">
      <action></action>
      <reset></reset>
    </nodehandler>
    <action></action>
    <nodehandler class="flexinode" enabled="1" icon="dice" module="flexi" name="Attacks" version="1.0">
      <action></action>
      <nodehandler class="flexinode" icon="dnd_4e_melee_square_green" name="Variables">
        <action></action>
        <reset></reset>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Smite off" version="1.0">
          <action>:[#__name = if (smite = if smite then 0 else 5) then &quot;Smite on&quot; else &quot;Smite off&quot;][#update_icon]</action>
          <expression variable="smite">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if smite != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Flanking off" version="1.0">
          <action>:[#__name = if (flank = if flank then 0 else 2) then &quot;Flanking on&quot; else &quot;Flanking off&quot;][#update_icon]</action>
          <expression variable="flank">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if flank != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" enabled="1" icon="dnd_4e_melee_square_red" name="Charge off">
          <action>:[#__name = if (charge = if charge then 0 else 2) then &quot;Charge on&quot; else &quot;Charge off&quot;][#update_icon]</action>
          <reset></reset>
          <expression variable="charge">0</expression>
          <expression variable="update_icon">__icon = if charge != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Combat Manoeuvre" version="1.0">
        <action>[1d20+(5+flank)] vs CMD</action>
        <reset></reset>
      </nodehandler>
      <reset></reset>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Grab" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_d = dice+(dmod)] HP [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt; [_d + dice+dmod] HP&quot; else &quot;&quot;]...&lt;br /&gt;&lt;b&gt;Grab:&lt;/b&gt; [1d20 + 15] vs CMD... &lt;b&gt;Constrict:&lt;/b&gt; [_d = dice+(dmod)] HP</action>
        <reset></reset>
        <expression variable="attack">&quot;Armoire - Door slam&quot;</expression>
        <expression variable="amod">9+flank</expression>
        <expression variable="dmod">9+smite</expression>
        <expression variable="threat">19</expression>
        <expression variable="dice">1d8</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Fortitude" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Reflex" version="1.0">
        <action>[1d20+0]</action>
        <reset></reset>
        <expression variable="refbonus">0</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Will" version="1.0">
        <action>[1d20-4]</action>
        <reset></reset>
      </nodehandler>
    </nodehandler>
    <reset></reset>
  </nodehandler>
  <nodehandler class="flexinode" enabled="1" icon="book" module="flexi" name="Animated Bookcase (CR 5)" version="1.0">
    <nodehandler class="flexinode" name="AC14; CMD 20; HP 55; DR 5/Ad">
      <action></action>
      <reset></reset>
    </nodehandler>
    <action></action>
    <nodehandler class="flexinode" enabled="1" icon="dice" module="flexi" name="Attacks" version="1.0">
      <action></action>
      <nodehandler class="flexinode" icon="dnd_4e_melee_square_green" name="Variables">
        <action></action>
        <reset></reset>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Smite off" version="1.0">
          <action>:[#__name = if (smite = if smite then 0 else 5) then &quot;Smite on&quot; else &quot;Smite off&quot;][#update_icon]</action>
          <expression variable="smite">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if smite != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" icon="dnd_4e_melee_square_red" module="flexi" name="Flanking off" version="1.0">
          <action>:[#__name = if (flank = if flank then 0 else 2) then &quot;Flanking on&quot; else &quot;Flanking off&quot;][#update_icon]</action>
          <expression variable="flank">0</expression>
          <reset></reset>
          <expression variable="update_icon">__icon = if flank != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
        <nodehandler class="flexinode" enabled="1" icon="dnd_4e_melee_square_red" name="Charge off">
          <action>:[#__name = if (charge = if charge then 0 else 2) then &quot;Charge on&quot; else &quot;Charge off&quot;][#update_icon]</action>
          <reset></reset>
          <expression variable="charge">0</expression>
          <expression variable="update_icon">__icon = if charge != 0 then &quot;dnd_4e_melee_square_green&quot; else &quot;dnd_4e_melee_square_red&quot;</expression>
        </nodehandler>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Combat Manoeuvre" version="1.0">
        <action>[1d20+(5+flank)] vs CMD</action>
        <reset></reset>
      </nodehandler>
      <reset></reset>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Shelf Slap (x2)" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_d = dice+(dmod)] HP   [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt; [_d + dice+dmod] HP&quot; else &quot;&quot;].</action>
        <reset></reset>
        <expression variable="attack">&quot;Bookcase - Shelf slap&quot;</expression>
        <expression variable="amod">9+flank</expression>
        <expression variable="dmod">9+smite</expression>
        <expression variable="threat">19</expression>
        <expression variable="dice">1d8</expression>
      </nodehandler>
      <nodehandler class="flexinode" enabled="1" icon="melee" module="flexi" name="Book fired" version="1.0">
        <action>:&lt;b&gt;[attack]&lt;/b&gt;: [(_a = 1d20)+(amod)] &lt;b&gt;Damage:&lt;/b&gt; [_d = dice+(dmod)] HP   [if _a &gt;= (threat) then &quot;&lt;br /&gt;&lt;b&gt;Critical threat: &lt;/b&gt;[1d20+amod], &lt;b&gt;Damage:&lt;/b&gt; [_d + dice+dmod] HP&quot; else &quot;&quot;].</action>
        <reset></reset>
        <expression variable="attack">&quot;Bookcase - Fired Book&quot;</expression>
        <expression variable="amod">9+flank</expression>
        <expression variable="dmod">4+smite</expression>
        <expression variable="threat">20</expression>
        <expression variable="dice">2d6</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Fortitude" version="1.0">
        <action>[1d20+1]</action>
        <reset></reset>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Reflex" version="1.0">
        <action>[1d20+0]</action>
        <reset></reset>
        <expression variable="refbonus">0</expression>
      </nodehandler>
      <nodehandler class="flexinode" icon="d20" module="flexi" name="Will" version="1.0">
        <action>[1d20-4]</action>
        <reset></reset>
      </nodehandler>
    </nodehandler>
    <reset></reset>
  </nodehandler>
</nodehandler>
